Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Enum Class ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum

java.lang.Object
java.lang.Enum<ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum>
com.sap.ai.sdk.foundationmodels.openai.generated.model.ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum>`, `Constable`

Enclosing class:
  `ChatCompletionRequestMessageContentPartImageImageUrl`

public static enum ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum extends Enum<ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum>
Specifies the detail level of the image. Learn more in the [Vision guide](https://learn.microsoft.com/en-us/azure/ai-services/openai/how-to/gpt-with-vision?tabs=rest%2Csystem-assigned%2Cresource#detail-parameter-settings-in-image-processing-low-high-auto).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  The AUTO option of this ChatCompletionRequestMessageContentPartImageImageUrl
  `HIGH`
  The HIGH option of this ChatCompletionRequestMessageContentPartImageImageUrl
  `LOW`
  The LOW option of this ChatCompletionRequestMessageContentPartImageImageUrl
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this ChatCompletionRequestMessageContentPartImageImageUrl

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTO

    public static final ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum AUTO
    The AUTO option of this ChatCompletionRequestMessageContentPartImageImageUrl

  - ### LOW

    public static final ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum LOW
    The LOW option of this ChatCompletionRequestMessageContentPartImageImageUrl

  - ### HIGH

    public static final ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum HIGH
    The HIGH option of this ChatCompletionRequestMessageContentPartImageImageUrl

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this ChatCompletionRequestMessageContentPartImageImageUrl

- ## Method Details

  - ### values

    public static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static ChatCompletionRequestMessageContentPartImageImageUrl.DetailEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type ChatCompletionRequestMessageContentPartImageImageUrl